mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

Used with .

The classes in System.Runtime.CompilerServices are for compiler writers use only.

Defines how a method is implemented.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodCodeType To be added

  Specifies that the method implementation is in Microsoft intermediate language (MSIL).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodCodeType To be added

  Specifies that the method is implemented in native code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodCodeType To be added

  Specifies that the method implementation is in optimized intermediate language (OPTIL).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.MethodCodeType To be added

  Specifies that the method implementation is provided by the runtime.